import { apiResquest } from './request/request.js'
import { apiResquestForm } from './request/request.js'
import { apiResquestJsonList } from './request/request.js'
import { apiResquestFormVideo } from './request/request.js'
import { apiResquestTimer } from './request/request.js'
//管理端--------------------------------
//获取openid
export const getOpenId  = (data) => {
    return apiResquest({
        url: `/base/user/wx/getOpenId`,
        method: 'GET',
        data: data,
    })
};
//获取模板消息-列表
export const getDemoInfoList  = (data) => {
    return apiResquest({
        url: `/base/wx/list`,
        method: 'GET',
        data: data,
    })
};


//指纹-查询用户指纹录取数量
export const fingerprintQuantity  = (data) => {
    return apiResquest({
        url: `/laboratory/haikang/userFinger/queryCount/`+data,
        method: 'GET',
    })
};
//指纹-查询用户指纹数据
export const fingerprintQueryList  = (data) => {
    return apiResquest({
        url: `/laboratory/haikang/userFinger/queryList/`+data,
        method: 'GET',
    })
};
//指纹-查询当前用户已授权门禁列表
export const fingerprintQeryMySubList  = (data) => {
    return apiResquest({
        url: `/laboratory/haikang/user/queryMySubList`,
        method: 'GET',
        data: data,
    })
};
//指纹-指纹采集
export const fingerprintGther  = (data) => {
    return apiResquest({
        url: `/laboratory/haikang/userFinger/capture/`+data.hardId+'/'+data.num,
        method: 'POST',
        data: {...data}
    })
};
//指纹-指纹同步设备
export const fingerprintGtherSync  = (data) => {
    return apiResquest({
        url: `/laboratory/haikang/userFinger/print/`+data,
        method: 'POST',
        data: {...data}
    })
};
//气瓶列表-列表
export const gasList  = (data) => {
    return apiResquest({
        url: `/airbottle/task/listGroupBySubjectName`,
        method: 'GET',
        data: data,
    })
};
//气瓶列表-详情
export const gasDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/storage/getInfo`,
        method: 'GET',
        data: data,
    })
};
//气瓶列表-详情-电子标签解绑更换
// export const gasTagBinding  = (data) => {
//     return apiResquest({
//         url: `/airbottle/storage/binding`,
//         method: 'GET',
//         data: data,
//     })
// };
//气瓶列表-详情-电子标签解绑更换
export const gasTagBinding  = (data) => {
    return apiResquest({
        url: `/airbottle/storage/change`,
        method: 'GET',
        data: data,
    })
};

//气瓶列表-使用记录
export const gasDetailRecord  = (data) => {
    return apiResquest({
        url: `/airbottle/use/record/getUseDetailsApp`,
        method: 'GET',
        data: data,
    })
};
//气瓶列表-使用记录-详情
export const gasDetailRecordDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/use/record/`+data,
        method: 'GET',
    })
};

//气瓶列表-气压有误
export const gasBottleError  = (data) => {
    return apiResquest({
        url: `/airbottle/bottle/error`,
        method: 'POST',
        data: {...data}
    })
};
//气瓶列表-修改气压后记录
export const gasBottleErrorList  = (data) => {
    return apiResquest({
        url: `/airbottle/bottle/error/listApp`,
        method: 'GET',
        data: data,
    })
};
//气瓶列表-确认出库
export const gasStorageOut  = (data) => {
    return apiResquest({
        url: `/airbottle/storageOut`,
        method: 'POST',
        data: {...data}
    })
};


//气瓶申请-列表
export const gasApplyList  = (data) => {
    return apiResquest({
        url: `/airbottle/task/list`,
        method: 'GET',
        data: data,
    })
};
//气瓶申请-数量校验
export const gasApplyVerify = (data) => {
    return apiResquest({
        url: `/airbottle/task/listSubjectDetal`,
        method: 'GET',
        data: data,
    })
};
//气瓶申请-添加
export const gasApplyAdd  = (data) => {
    return apiResquest({
        url: `/airbottle/task`,
        method: 'POST',
        data: {...data}
    })
};
//气瓶申请-待入库详情列表
export const gasApplyDetailDrk  = (data) => {
    return apiResquest({
        url: `/airbottle/task/listDrk`,
        method: 'GET',
        data: data,
    })
};
//气瓶申请-待入库详情-入库
export const gasApplyDetailDrkDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/task/getInfoById`,
        method: 'GET',
        data: data,
    })
};
//气瓶申请-入库提交
export const gasApplyStorageAdd  = (data) => {
    return apiResquest({
        url: `/airbottle/storage`,
        method: 'POST',
        data: {...data}
    })
};
//气瓶申请-未派送列表
export const gasApplyDetailWps  = (data) => {
    return apiResquest({
        url: `/airbottle/task/listWps`,
        method: 'GET',
        data: data,
    })
};
//气瓶申请-已入库列表
export const gasApplyDetailYrk  = (data) => {
    return apiResquest({
        url: `/airbottle/task/listYrk`,
        method: 'GET',
        data: data,
    })
};
//气瓶申请-已拒收提交
export const gasApplyYjsAdd  = (data) => {
    return apiResquest({
        url: `/airbottle/storage`,
        method: 'POST',
        data: {...data}
    })
};
//气瓶申请-已拒收列表
export const gasApplyDetailYjs  = (data) => {
    return apiResquest({
        url: `/airbottle/task/listYjs`,
        method: 'GET',
        data: data,
    })
};
/* 首页 */
//使用记录-列表
export const useRecordList  = (data) => {
    return apiResquest({
        url: `/airbottle/use/record/getUseRecordSpecsListApp`,
        method: 'GET',
        data: data,
    })
};
//使用记录-详情
export const useRecordDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/use/record/`+data,
        method: 'GET',
    })
};
//气瓶信息-列表
export const listuseRecordByUserId  = (data) => {
    return apiResquest({
        url: `/airbottle/task/listuseRecordByUserId`,
        method: 'GET',
        data: data,
    })
};
//获取资格总数用气总数
export const getUserApplyCount  = (data) => {
    return apiResquest({
        url: `/airbottle/qualificationApply/getUserApplyCount`,
        method: 'GET',
        data: data,
    })
};
//用气申请-列表
export const useAgsApplyList  = (data) => {
    return apiResquest({
        url: `/airbottle/useAgsApply/list`,
        method: 'GET',
        data: data,
    })
};
//用气申请-添加
export const useAgsApplyAdd  = (data) => {
    return apiResquest({
        url: `/airbottle/useAgsApply`,
        method: 'POST',
        data: {...data}
    })
};
//用气申请-修改
export const useAgsApplyAmend  = (data) => {
    return apiResquest({
        url: `/airbottle/useAgsApply/reapply`,
        method: 'POST',
        data: {...data}
    })
};
//用气申请-详情
export const useAgsApplyDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/useAgsApply/getById`,
        method: 'GET',
        data: data,
    })
};
//资格审核-列表
export const auditList  = (data) => {
    return apiResquest({
        url: `/airbottle/qualificationApply/auditList`,
        method: 'GET',
        data: data,
    })
};
//资格审核-审核-资格-实验室负责人
export const auditCheck  = (data) => {
    return apiResquest({
        url: `/airbottle/qualificationApply/leadExamine`,
        method: 'POST',
        data: {...data}
    })
};
//资格审核-审核-资格-实验中心
export const auditCenterCheck  = (data) => {
    return apiResquest({
        url: `/airbottle/qualificationApply/centerExamine`,
        method: 'POST',
        data: {...data}
    })
};
//资格审核-审核-用气-实验室负责人
export const auditUseAgsCheck  = (data) => {
    return apiResquest({
        url: `/airbottle/useAgsApply/leadExamine`,
        method: 'POST',
        data: {...data}
    })
};
//资格审核-审核-用气-实验中心
export const auditUseAgsCenterCheck  = (data) => {
    return apiResquest({
        url: `/airbottle/useAgsApply/centerExamine`,
        method: 'POST',
        data: {...data}
    })
};
//资格审核-详情
export const auditDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/useAgsApply/getDetails`,
        method: 'GET',
        data: data,
    })
};
//资格申请-选择气瓶列表
export const taskListGood  = (data) => {
    return apiResquest({
        url: `/airbottle/task/listGood`,
        method: 'GET',
        data: data,
    })
};
//资格申请-查询实验室列表
export const labList  = (data) => {
    return apiResquest({
        url: `/laboratory/subject/list/nopage`,
        method: 'GET',
        data: data,
    })
};
//资格申请-查询用户信息
export const getLoginUser  = (data) => {
    return apiResquest({
        url: `/airbottle/qualificationApply/getLoginUser`,
        method: 'GET',
        data: data,
    })
};
//资格申请-新增
export const qualificationApplyManageAdd  = (data) => {
    return apiResquest({
        url: `/airbottle/qualificationApply`,
        method: 'POST',
        data: {...data}
    })
};
//资格申请-修改
export const qualificationApplyAmend  = (data) => {
    return apiResquest({
        url: `/airbottle/qualificationApply/reapply`,
        method: 'POST',
        data: {...data}
    })
};
//资格申请-列表
export const qualificationList  = (data) => {
    return apiResquest({
        url: `/airbottle/qualificationApply/list`,
        method: 'GET',
        data: data,
    })
};
//资格申请-详情
export const qualificationDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/qualificationApply/getDetails`,
        method: 'GET',
        data: data,
    })
};
//资格申请-查询申请的实验室是否有准入资格
export const qualificationVerify  = (data) => {
    return apiResquest({
        url: `/airbottle/qualificationApply/applyCheck`,
        method: 'GET',
        data: data,
    })
};
//使用登记
export const useRegisterDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/storage/get/electronicTag`,
        method: 'GET',
        data: data,
    })
};
//使用登记-添加
export const useRegisterAdd  = (data) => {
    return apiResquest({
        url: `/airbottle/use/record`,
        method: 'POST',
        data: {...data}
    })
};
//归还登记-添加
export const giveRegisterAdd  = (data) => {
    return apiResquest({
        url: `/airbottle/use/record`,
        method: 'PUT',
        data: {...data}
    })
};
//供应商--------------------------------
//气瓶管理-气体名称列表
export const googsList  = (data) => {
    return apiResquest({
        url: `/airbottle/googs/listApp`,
        method: 'GET',
        data: data,
    })
};
//气瓶管理-根据气体名称id查询规格
export const googsInfoList  = (data) => {
    return apiResquest({
        url: `/airbottle/goods/config/`+data,
        method: 'GET',
        data: data,
    })
};
//气瓶管理-新增
export const bottleAdd  = (data) => {
    return apiResquest({
        url: `/airbottle/bottle/add`,
        method: 'POST',
        data: {...data}
    })
};
//气瓶管理-修改
export const bottleAmend  = (data) => {
    return apiResquest({
        url: `/airbottle/bottle`,
        method: 'PUT',
        data: {...data}
    })
};
//气瓶管理-列表
export const bottleList  = (data) => {
    return apiResquest({
        url: `/airbottle/bottle/supplier/list`,
        method: 'GET',
        data: data,
    })
};
//气瓶管理-详情
export const bottleDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/bottle/`+data,
        method: 'GET',
    })
};
//运输车辆-新增
export const transportCarAdd  = (data) => {
    return apiResquest({
        url: `/airbottle/car`,
        method: 'POST',
        data: {...data}
    })
};
//运输车辆-列表
export const transportCarList  = (data) => {
    return apiResquest({
        url: `/airbottle/car/supplier/list`,
        method: 'GET',
        data: data,
    })
};
//运输车辆-详情
export const transportCarDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/car/`+data,
        method: 'GET',
    })
};
//运输车辆-修改
export const transportCarAmend  = (data) => {
    return apiResquest({
        url: `/airbottle/car`,
        method: 'PUT',
        data: {...data}
    })
};
//运输人员-新增
export const transportUser  = (data) => {
    return apiResquest({
        url: `/airbottle/user`,
        method: 'POST',
        data: {...data}
    })
};
//运输人员-列表
export const transportUserList  = (data) => {
    return apiResquest({
        url: `/airbottle/user/supplier/list`,
        method: 'GET',
        data: data,
    })
};
//运输人员-详情
export const transportUserDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/user/`+data,
        method: 'GET',
    })
};
//运输人员-修改
export const transportUserAmend  = (data) => {
    return apiResquest({
        url: `/airbottle/user`,
        method: 'PUT',
        data: {...data}
    })
};
//注册
export const supplierRegister  = (data) => {
    return apiResquest({
        url: `/airbottle/supplier/register`,
        method: 'POST',
        data: {...data}
    })
};
//供应商修改
export const supplierAmend  = (data) => {
    return apiResquest({
        url: `/airbottle/supplier`,
        method: 'PUT',
        data: {...data}
    })
};
//供应商-修改密码
export const updatePwd  = (data) => {
    return apiResquestForm({
        url: `/system/user/profile/updatePwd`,
        method: 'PUT',
        data: data
    })
};


//查询资质证照列表
export const certificateList  = (data) => {
    return apiResquest({
        url: `/airbottle/qualification/certificate/list`,
        method: 'GET',
        data: data,
    })
};
//根据登录用户获取供应商详细信息
export const supplierDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/supplier/detail`,
        method: 'GET',
        data: data,
    })
};
//供应商名称校验
export const supplierCheck  = (data) => {
    return apiResquest({
        url: `/airbottle/supplier/check`,
        method: 'GET',
        data: data,
    })
};
//供应商-待办清单列表
export const supplierBacklogList  = (data) => {
    return apiResquest({
        url: `/airbottle/task/listApp`,
        method: 'GET',
        data: data,
    })
};
//供应商-待办清单-详情-供气
export const supplierBacklogDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/task/getInfoById`,
        method: 'GET',
        data: data,
    })
};
//供应商-待办清单-详情-回收
export const supplierBacklogRecycleDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/storageOut/getInfoById`,
        method: 'GET',
        data: data,
    })
};
//供应商-待办清单-详情-问题
export const supplierBacklogIssueDetail  = (data) => {
    return apiResquest({
        url: `/airbottle/storage/getTaskInfo`,
        method: 'GET',
        data: data,
    })
};
//供应商-待办清单-详情-人员车辆列表
export const supplierBacklogPersonCar  = (data) => {
    return apiResquest({
        url: `/airbottle/task/getUserAndCar`,
        method: 'GET',
        data: data,
    })
};
//供应商-待办清单-详情-配送
export const supplierBacklogDistribution  = (data) => {
    return apiResquest({
        url: `/airbottle/task`,
        method: 'PUT',
        data: data,
    })
};
//供应商-待办清单-详情-回收
export const supplierBacklogStorageOut  = (data) => {
    return apiResquest({
        url: `/airbottle/storageOut`,
        method: 'PUT',
        data: data,
    })
};
//供应商-待办清单-详情-拒收
export const supplierBacklogRejection  = (data) => {
    return apiResquest({
        url: `/airbottle/storage`,
        method: 'PUT',
        data: data,
    })
};
//供应商-供气回收-列表
export const gasRecycleList  = (data) => {
    return apiResquest({
        url: `/airbottle/task/listAppReclaim`,
        method: 'GET',
        data: data,
    })
};

//分级管控未完成工作列表
export const gradingControl  = (data) => {
    return apiResquest({
        url: `/base/app/lab/manage/havingList`,
        method: 'POST',
        data: {...data}
    })
};
//供应商-待办事项-首页列表
export const storageListTaskIndex  = (data) => {
    return apiResquest({
        url: `/airbottle/storage/listTaskIndex`,
        method: 'GET',
        data: data,
    })
};
//完成分级管控工作
export const gradingControlAdd  = (data) => {
    return apiResquest({
        url: `/base/app/lab/manage/finish`,
        method: 'POST',
        data: {...data}
    })
};
//分级管控已完成工作列表
export const gradingControlFinish  = (data) => {
    return apiResquest({
        url: `/base/app/lab/manage/finishList`,
        method: 'POST',
        data: {...data}
    })
};
//分级管控详细信息
export const gradingControlDetail  = (data) => {
    return apiResquest({
        url: `/base/app/lab/manage/getInfo/`+data,
        method: 'GET',
        //data: data,
    })
};
//消息已读未读
export const readByLoginUser  = (data) => {
    return apiResquest({
        url: `/base/app/message/content/readByLoginUser`,
        method: 'POST',
        data: {...data}
    })
};
//登录
export const login  = (data) => {
    return apiResquest({
        url: `/auth/one/login`,
        method: 'POST',
        data: {...data}
    })
};

//退出登录
export const logout  = (data) => {
    return apiResquest({
        url: `/auth/logout`,
        method: 'delete',
        data: data,
    })
};

//查询违规记录列表 （用户端）
export const getViolationList  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/getViolationList`,
        method: 'GET',
        data: data,
    })
};

//查询我的违规记录统计（用户端）
export const myViolationCount  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/myViolationCount`,
        method: 'GET',
        data: data,
    })
};

//查询安全准入审批记录列表（用户端,管理端）
export const getApprovalList  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/getApprovalList`,
        method: 'GET',
        data: data,
    })
};

//获取安全准入审批记录详细信息(用户端)
export const approvalDetail  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/approvalDetail`,
        method: 'GET',
        data: data,
    })
};
//查询院系列表
export const departmentsList  = (data) => {
    return apiResquest({
        url: `/base/app/sysuser/api/departments/list`,
        method: 'GET',
        data: data,
    })
};

//根据院系查询楼栋列表
export const buildingList  = (data) => {
    return apiResquest({
        url: `/base/app/sysuser/api/building/list`,
        method: 'GET',
        data: data,
    })
};

//根据楼栋查询列表
export const mySecuritySubjectList  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/mySecuritySubjectList`,
        method: 'GET',
        data: data,
    })
};

//查询人脸信息与认证状态
export const studentinfoFacemy  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/studentinfo/my`,
        method: 'GET',
    })
};

//查询实验室下的安全准入资格材料表
export const subjectMaterialList  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/subjectMaterialList`,
        method: 'GET',
        data: data,
    })
};

//上传图片
export const upImage  = (data) => {
    return apiResquest({
        url: `/base/file/upload`,
        method: 'GET',
        data: data,
    })
};

//提交准入申请
export const accessReview  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/accessReview`,
        method: 'POST',
        data: {...data}
    })
};

//统计安全准入审批不同信息(管理端)
export const getApprovalCount  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/getApprovalCount`,
        method: 'GET',
        data: data,
    })
};

//审核信息详情(管理端)
export const approvalDetailManage  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/approvalDetail`,
        method: 'GET',
        data: data,
    })
};

//准入信息审核(管理端)
export const appOperation  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/appOperation`,
        method: 'PUT',
        data: data,
    })
};

//准入信息拒绝(管理端)
export const failedOperation  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/failedOperation`,
        method: 'PUT',
        data: data,
    })
};

//获取证书列表
export const queryMyCert  = (data) => {
    return apiResquest({
        url: `/base/app/exam/exam/queryMyCert`,
        method: 'POST',
        data: {...data}
    })
};

//获取考试列表
export const onlineExamList  = (data) => {
    return apiResquest({
        url: `/base/app/exam/onlineExamList`,
        method: 'GET',
        data: data,
    })
};

//创建考卷
export const createPaper  = (examId) => {
    return apiResquest({
        url: `/base/app/exam/create-paper/`+examId,
        method: 'POST',
        data: {}
    })
};

//获取答题卡
export const getPaper  = (id) => {
    return apiResquest({
        url: `/base/app/exam/paper/`+id,
        method: 'GET',
    })
};

//获取题目
export const paperDetail  = (data) => {
    return apiResquest({
        url: `/base/app/exam/paper/paperDetail/`+data.paperId+`/`+data.quId,
        method: 'POST',
        data: {}
    })
};

//提交答案
export const fillAnswer  = (data) => {
    return apiResquest({
        url: `/base/app/exam/paper/fillAnswer`,
        method: 'POST',
        data: {...data}
    })
};

//提交试卷
export const handPaper  = (id,data) => {
    return apiResquest({
        url: `/base/app/exam/paper/handPaper/`+id,
        method: 'POST',
        data: {...data}
    })
};



//随手拍实验室列表
export const getSubjectDict  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/getSubjectDict`,
        method: 'GET',
        data: data,
    })
};

//随手拍提交
export const addPhotoNote  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/addPhotoNote`,
        method: 'POST',
        data: {...data}
    })
};

//消息列表
export const groupList  = (data) => {
    return apiResquest({
        url: `/base/app/message/content/my/group/list`,
        method: 'GET',
        data: data,
    })
};
//消息列表
export const infoTotalCount  = (data) => {
    return apiResquest({
        url: `/base/app/message/content/my/group/totalCount`,
        method: 'GET',
        data: data,
    })
};
//未通过消息详情
export const groupListRead  = (data) => {
    return apiResquest({
        url: `/base/app/message/content/my/group/read`,
        method: 'GET',
        data: data,
    })
};




//消息详情列表
export const groupIdList  = (id,data) => {
    return apiResquest({
        url: `/base/app/message/content/my/`+id+`/group/list`,
        method: 'GET',
        data: data,
    })
};

//消息详情列表
export const simpleInfo  = (data) => {
    return apiResquest({
        url: `/base/app/sysuser/api/my/simple/info`,
        method: 'GET',
        data: data,
    })
};

//查询我的实验室列表
export const mySubjectList  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/mySubjectList`,
        method: 'GET',
        data: data,
    })
};

//学科字典
export const subject_class  = (data) => {
    return apiResquest({
        url: `/system/dict/data/type/subject_class`,
        method: 'GET',
        data: data,
    })
};
//查询风扇
export const listData  = (data) => {
    return apiResquest({
        url: `/system/dict/data/list`,
        method: 'GET',
        data: data,
    })
};

//获取管理员工作台随手拍数量数据
export const appReceivePhotoNote  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/appReceivePhotoNote`,
        method: 'GET',
        data: data,
    })
};

//收到随手拍列表
export const getAppList  = (data) => {
    return apiResquest({
        url: `/base/app/lab/api/photonote/getAppList`,
        method: 'GET',
        data: data,
    })
};

//收到随手拍详情
export const getPhotonote  = (id) => {
    return apiResquest({
        url: `/base/app/lab/api/photonote/`+id,
        method: 'GET',
    })
};

//确认处理随手拍
export const editPhotoNote  = (data) => {
    return apiResquestForm({
        url: `/base/app/lab/api/editPhotoNote`,
        method: 'POST',
        data: {...data}
    })
};

//成绩查询
export const getExamList  = (data) => {
    return apiResquestForm({
        url: `/base/app/exam/my/exam/list`,
        method: 'GET',
        data: data,
    })
};

//获取实验室视频地址
export const getChannels  = (data) => {
    return apiResquestForm({
        url: `/algorithm/api/play/startList`,
        method: 'GET',
        data: data,
    })
};

//文字广播
export const voice  = (id,data) => {
    return apiResquestForm({
        url: `/laboratory/subject/manger/voice/`+id,
        method: 'POST',
        data: {...data}
    })
};

//获取离开检查配置
export const outSubjectPhoto  = (id,data) => {
    return apiResquestForm({
        url: `/base/app/lab/api/outSubjectPhoto`,
        method: 'GET',
        data: data,
    })
};

//获取离开检查可选实验室列表
export const outSubjectList  = () => {
    return apiResquestForm({
        url: `/base/app/lab/api/outSubjectList`,
        method: 'GET'
    })
};


//拍照检查提交
export const addPhotoInspection = (data) => {
    return apiResquestJsonList({
        url: `/base/app/lab/api/addPhotoInspection`,
        method: 'POST',
        data: data
    })
};

//学生卡上传
export const commitCrad = (data) => {
    return apiResquestJsonList({
        url: `/base/app/lab/api/commit/crad`,
        method: 'POST',
        data: data
    })
};

//设备开关
export const mangerControl = (data) => {
    return apiResquestJsonList({
        url: `/laboratory/subject/manger/control/`+data.id+`/`+data.command,
        method: 'POST',
        data: {...data}
    })
};

//获取积分列表
export const listMyApp = (data) => {
    return apiResquestForm({
        url: `/base/app/exam/points/record/list/myApp`,
        method: 'POST',
        data: {...data}
    })
};
//
// //获取当前积分
export const countMyApp = (data) => {
    return apiResquestForm({
        url: `/base/app/exam/points/record/count/myApp`,
        method: 'GET',
        data: data
    })
};

// 根据字典类型查询字典数据信息
export const getDicts = (dictType) => {
    return apiResquestForm({
        url: '/system/dict/data/type/' + dictType,
        method: 'GET'
    })
};

// 获取院系
export const listDepartments = (data) => {
    return apiResquestForm({
        url: '/system/dept/departments/list',
        method: 'GET',
    })
};

//获取报警信息列表
export const getSafeWarnList = (data) => {
    return apiResquestForm({
        url: '/base/app/lab/api/getSafeWarnList',
        method: 'GET',
        data: data
    })
};

//获取报警信息数量
export const getSafeWarnCount = (data) => {
    return apiResquestForm({
        url: '/base/app/lab/api//getSafeWarnCount',
        method: 'GET',
        data: data
    })
};

//获取預案列表
export const getSubByRiskPlan = (data) => {
    return apiResquestForm({
        url: '/base/app/lab/api/getSubByRiskPlan',
        method: 'GET',
        data: data
    })
};

//获取实验室列表(新)
export const laboratoryList = (data) => {
    return apiResquestForm({
        url: '/base/app/laboratory/list',
        method: 'GET',
        data: data
    })
};

//获取实验室详情
export const laboratoryInfo = (id) => {
    return apiResquestForm({
        url: '/base/app/laboratory/'+id,
        method: 'GET'
    })
};

//获取实验室详情
export const getSubByRiskPlanDetail = (id) => {
    return apiResquestForm({
        url: '/base/app/lab/api/getSubByRiskPlanDetail?id='+id,
        method: 'GET'
    })
};
//查询用户电子签名
export const querySignature  = (data) => {
    return apiResquest({
        url: `/base/app/sysuser/api/querySignature`,
        method: 'POST',
        data: {...data}
    })
};
//小程序电子签名抠图生成图片
export const querygenSign  = (data) => {
    return apiResquest({
        url: `/base/app/sysuser/api/genSign`,
        method: 'POST',
        data: {...data}
    })
};
//小程序用户修改签名
export const updateSignature  = (data) => {
    return apiResquest({
        url: `/base/app/sysuser/api/updateSignature`,
        method: 'POST',
        data: {...data}
    })
};

//根据code查询危险品说明
export const hazard_bookLookUp = (id) => {
    return apiResquestForm({
        url: '/laboratory/hazard_book/lookUp/'+id,
        method: 'GET'
    })
};

//根据code查询危险品说明
export const safe_book = (id) => {
    return apiResquestForm({
        url: '/laboratory/safe_book/'+id,
        method: 'GET'
    })
};

//查询奖励分/信用分 总值
export const monthAllCount = (data) => {
    return apiResquestForm({
        url: '/exam/points/record/monthAllCount',
        method: 'GET',
        data: data
    })
};

//查询奖励分/信用分数据列表
export const monthCountPoints = (data) => {
    return apiResquestForm({
        url: '/exam/points/record/monthCountPoints',
        method: 'GET',
        data: data
    })
};

//获取当前用户奖励分与信用分
export const getMyPointsLogInfo = (data) => {
    return apiResquestForm({
        url: '/exam/points/record/getMyPointsLogInfo',
        method: 'GET',
        data: data
    })
};


//获取分级
export const classifiedListAll = (data) => {
    return apiResquestForm({
        url: '/laboratory/classified/listAll',
        method: 'GET',
        data: data
    })
};
//获取实验室视频地址
export const GetStartList  = (data) => {
    return apiResquestFormVideo({
        url: `/algorithm/api/play/startList/`,
        method: 'GET',
        data: data,
    })
};
//扫码兑换调用
export const exchangePoints  = (data) => {
    return apiResquest({
        url: `/exam/points/record/exchangePoints`,
        method: 'POST',
        data: {...data}
    })
};
/**************************安全检查相关**************************/

//获取检查身份信息
export const getLoginUserInfo = (data) => {
    return apiResquestForm({
        url:'/laboratory/checkRecord/getLoginUserInfo',
        method: 'GET',
        data: data
    })
};

//获取安全检查列表
export const listOrderByYyyymmdd = (data) => {
    return apiResquestForm({
        url:'/laboratory/checkRecord/listOrderByYyyymmdd',
        method: 'GET',
        data: data
    })
};

//获取安全检查详情
export const recordDettailsList = (data) => {
    return apiResquestForm({
        url:'/laboratory/checkRecord/recordDettailsListApp',
        method: 'GET',
        data: data
    })
};
//获取安全检查详情-新
export const RecordDettailsListNew = (data) => {
    return apiResquestForm({
        url:'/laboratory/checkRecordDetails/dettailsListApp',
        method: 'GET',
        data: data
    })
};

//搜索房间
export const getSelectInfoByRoom = (data) => {
    return apiResquestForm({
        url: '/laboratory/checkRecord/selectInfoByRoom?room='+data,
        method: 'GET',
    })
};

//获取检查项列表
export const checkOptionList = (data) => {
    return apiResquestForm({
        url: '/laboratory/checkOption/listApp',
        method: 'GET',
        data: data
    })
};

// 新增临时检查项
export function addTempCheckOption(data) {
    return apiResquest({
        url: `/laboratory/checkOption/temp`,
        method: 'POST',
        data: {...data}
    })
}


//保存录入检查草稿
export function checkRecordAddC(data) {
    return apiResquest({
        url: `/laboratory/checkRecord/addCgApp`,
        method: 'POST',
        data: {...data}
    })
}

//提交录入检查
export function checkRecordAdd(data) {
    return apiResquest({
        url: `/laboratory/checkRecord/addTjApp`,
        method: 'POST',
        data: {...data}
    })
}

// 驳回/通过审核/整改提交/草稿保存/草稿提交
export function checkRecordUpdate(data) {
    return apiResquest({
        url: `/laboratory/checkRecord/updateApp`,
        method: 'POST',
        data: {...data}
    })
}
//问题整改重大项-判断是否上传签名
export const checkSign = (data) => {
    return apiResquestForm({
        url: '/laboratory/checkRecord/checkSign',
        method: 'GET',
    })
};

//问题整改重大项-判断是否上传电子签章
export const queryDeptSignByUserId = (data) => {
    return apiResquestForm({
        url: '/base/app/sysuser/api/queryDeptSignByUserId ',
        method: 'GET',
    })
};


//获取检查单位
export const treeselect = (data) => {
    return apiResquestForm({
        url: '/system/dept/treeselect',
        method: 'GET',
    })
};
//获取检查单位-新
export const treeDepselect = (data) => {
    return apiResquestForm({
        url: '/laboratory/checkRecord/selectDeptListUserDeptId',
        method: 'GET',
    })
};

//获取整改列表接口
export const checkRecordList = (data) => {
    return apiResquestForm({
        url:'/laboratory/checkRecord/list',
        method: 'GET',
        data: data
    })
};
//获取整改列表接口-新
export const listWtzgList = (data) => {
    return apiResquestForm({
        url:'/laboratory/checkRecordDetails/listWtzgApp',
        method: 'GET',
        data: data
    })
};
//整改提交-新
export function editListUpdate(data) {
    return apiResquest({
        url: `/laboratory/checkRecordDetails/editListApp `,
        method: 'POST',
        data: {...data}
    })
};

//获取自身随手拍权限接口
export function myIsadmin(data) {
    return apiResquestForm({
        url:'/base/app/lab/api/my/isadmin',
        method: 'GET',
        data: data
    })
}

//随后拍列表
export function photonoteList(data) {
    return apiResquestForm({
        url:'/laboratory/photonote/list',
        method: 'GET',
        data: data
    })
}






/*****************************************************/
export const updateSellerConfirm = (data) => {
    return apiResquestJsonList({
        url: 'app/updateSellerConfirm',
        method: 'POST',
        data: [...data],
    })
};
//修改回收记录提交桶数量
export const updateRecoveryMessage = (data) => {
    return apiResquestJson({
        url: 'app/updateRecoveryMessage',
        method: 'POST',
        data: {...data},
    })
};
//GET 请求案例可以传递参数也可以不传递
export const validateCode  = (data) => {
    let str = data
    return apiResquest({
        url: `/Index/getProjectInfo?${str}`,
        method: 'GET'
    })
};
//POST 请求案例
export const postDemo = (data) => {
    return apiResquest({
        url: 'Index/getProjectInfo',
        method: 'POST',
        data: {...data}
    })
};

//**************** 2.3 ****************//

//查询申请记录列表
export const listapply = (data) => {
    return apiResquestForm({
        url:'/laboratory/apply/listapply',
        method: 'GET',
        data: data
    })
};

// 删除审批记录
export const applyDelete  = (id) => {
    return apiResquest({
        url: '/laboratory/apply/'+id,
        method: 'delete'
    })
};

//查询审批列表
export const applyApproval = (data) => {
    return apiResquestForm({
        url: '/laboratory/apply/approval',
        method: 'GET',
        data: data
    })
};

//获取实验室当前准入配置
export const materialApply = (data) => {
    return apiResquestForm({
        url: '/laboratory/apply/materialApply',
        method: 'GET',
        data: data
    })
};
//获取实验室查询导师
export const teacherApply = (data) => {
    return apiResquestForm({
        url: '/system/user/selectUserListByName',
        method: 'GET',
        data: data
    })
};

//根据名称查询实验室
export const subjectList = (data) => {
    return apiResquestForm({
        url: '/laboratory/subject/list/listAdmin',
        method: 'GET',
        data: data
    })
};

//安全准入提交接口
export const materialAdd  = (data) => {
    return apiResquest({
        url: '/laboratory/apply/materialAdd',
        method: 'POST',
        data: {...data}
    })
};

//安全准入修改接口
export const materialUpdate  = (data) => {
    return apiResquest({
        url: '/laboratory/apply/materialUpdate',
        method: 'POST',
        data: {...data}
    })
};

//安全准入详情接口
export const getDetails = (data) => {
    return apiResquestForm({
        url: '/laboratory/apply/getDetailsApp',
        method: 'GET',
        data: data
    })
};

//安全准入审核列表接口(按时间切割)
export const applyList = (data) => {
    return apiResquestForm({
        url: '/laboratory/apply/listOrderByYmd',
        method: 'GET',
        data: data
    })
};

//安全准入审批接口
export const laboratoryApply  = (data) => {
    return apiResquest({
        url: '/laboratory/apply/editApp',
        method: 'POST',
        data: data,
    })
};

/************* 应急疏散相关 *************/

//获取实验室布局图
export const lablayout  = (id) => {
    return apiResquestForm({
        url: '/laboratory/building/lablayout?showHazard=false&deptId='+id,
        method: 'GET'
    })
};

//执行应急疏散
export const evacuate  = (id) => {
    return apiResquestForm({
        url: '/laboratory/line/evacuate/' + id,
        method: 'GET'
    })
};

//结束应急疏散
export const closure  = (id) => {
    return apiResquestForm({
        url: '/laboratory/line/closure/' + id,
        method: 'GET'
    })
};

//切换应急疏散线路
export const lineEvacuate  = (id,type) => {
    return apiResquestForm({
        url: '/laboratory/line/change/' + id + '/' + type,
        method: 'GET'
    })
};
//切换应急疏散线路-2.5最新
export const lineEvacuateTow  = (id,type) => {
    return apiResquestForm({
        url: '/laboratory/line/getRoute/' + id + '/' + type,
        method: 'GET'
    })
};

//获取报警信息
export const getListStatusTwo  = (id,type) => {
    return apiResquestForm({
        url: '/laboratory/plan/group/getList?status=1',
        method: 'GET'
    })
};

//获取当前疏散数据
export const getRedis  = (id,type) => {
    return apiResquestForm({
        url: '/laboratory/line/getRedis',
        method: 'GET'
    })
};

//获取喇叭列表
export const getDeviceList  = (data) => {
    return apiResquestForm({
        url: '/algorithm/speaker/getDeviceList',
        method: 'GET',
        data: data,
    })
};



//文字转语音播放
export const textParseUrlIps  = (data,text) => {
    return apiResquestJsonList({
        url: '/algorithm/speaker/textParseUrlAppIps?text='+text,
        method: 'POST',
        data: data
    })
};

//用户修改头像接口
export const appAvatar  = (data) => {
    return apiResquestForm({
        url: '/system/user/profile/appAvatar',
        method: 'POST',
        data: data,
    })
};
//获取楼层摄像头
export const getCameraByFloor  = (data) => {
    return apiResquest({
        url: `/laboratory/sparseHardware/getCameraByFloor`,
        method: 'GET',
        data: data,
    })
};

//获取当前用户认证头像
export const mystudent  = (data) => {
    return apiResquest({
        url: `/laboratory/studentinfo/mystudent`,
        method: 'GET',
        data: data,
    })
};

//获取配置数据
export const getLogoInfo  = (data) => {
    return apiResquest({
        url: `/system/logo/config/getLogoInfo`,
        method: 'GET',
        data: data,
    })
};

// 查询开发配置
export function getUrlConfig(data) {
  return apiResquest({
    url: '/system/urlConfig',
    method: 'get',
    data: data,
  })
}

//结束预案
export const closeRiskPlan  = (data) => {
    return apiResquest({
        url: `/laboratory/plan/closeRiskPlan`,
        method: 'post',
        data: data
    })
};
//实验室视频监控页面获取喇叭设备列表
export const getDeviceListBySub  = (data) => {
    return apiResquest({
        url: `/algorithm/speaker/getDeviceListBySub`,
        method: 'GET',
        data: data,
    })
};

//根据账户查询学院与楼栋
export const treeselectByUser  = (data) => {
    return apiResquest({
        url: `/system/dept/treeselectByUser`,
        method: 'GET',
        data: data,
    })
};

//根据账户查询学院与楼栋
export const getBuilding  = (id) => {
    return apiResquest({
        url: `/laboratory/building/lablayout?showHazard=false&deptId=`+id,
        method: 'GET',
    })
};
//一键灭火-查询设备状态
export const firedeviceStatus  = (data) => {
    return apiResquest({
        url: `/algorithm/firedevice/getStatus?subjectId=`+data,
        method: 'GET',
    })
};
//一键灭火-定时器查询设备状态
export const firedeviceStatusTiming  = (data) => {
    return apiResquestTimer({
        url: `/algorithm/firedevice/getStatusDetails?deviceCode=`+data,
        method: 'GET',
    })
};
//一键灭火-启动灭火设备
export const firedeviceStart  = (data) => {
    return apiResquest({
        url: `/algorithm/firedevice/outfireapp?subjectId=`+data.subjectId+'&deviceCode='+data.deviceCode,
        method: 'GET',
    })
};
//一键灭火-取消灭火设备
export const firedeviceCancel  = (data) => {
    return apiResquest({
        url: `/algorithm/firedevice/isCancelOutFile?subjectId=`+data,
        method: 'GET',
    })
};
/****************3.2疏散相关接口****************/
export const getFloorData  = (id) => {
    return apiResquest({
        url: `/laboratory/lineVertex/floor/`+id,
        method: 'GET',
    })
};
//查询当前发生的疏散
export const getRedisEvacuation  = (data) => {
    return apiResquest({
        url: `/laboratory/lineVertex/getRedisEvacuation`,
        method: 'post',
        data: data
    })
};

//开启/关闭疏散灯
export const openLight  = (data) => {
    return apiResquest({
        url: `/laboratory/pointRelay/openLight`,
        method: 'post',
        data: data
    })
};

//开启/关闭疏散灯
export const closeLight  = (data) => {
    return apiResquest({
        url: `/laboratory/pointRelay/closeLight`,
        method: 'post',
        data: data
    })
};

//新楼栋楼层查询接口
export const getBuildOrFloorList  = (data) => {
    return apiResquest({
        url: `/laboratory/buildFloor/getBuildOrFloorList`,
        method: 'GET',
        data: data,
    })
};

//开始疏散
export const executeEvacuation  = (data) => {
    return apiResquest({
        url: `/laboratory/lineVertex/executeEvacuation`,
        method: 'post',
        data: data
    })
};

//结束疏散
export const endEvacuation  = (data) => {
    return apiResquest({
        url: `/laboratory/lineVertex/endEvacuation`,
        method: 'post',
        data: data
    })
};
//查询当前用户下的预案触发数据
export const selectTriggerInfo = (data) => {
    return apiResquest({
        url: `/zd-laboratory/plan/selectTriggerInfo`,
        method: 'GET',
        data: data,
    })
};
//标记预案已读
export const riskPlanId = (data) => {
    return apiResquest({
        url: `/zd-laboratory/plan/writerEnterRiskPlan`,
        method: 'GET',
        data: data,
    })
};
//标记预案已读
export const controlSwitch = (data) => {
    return apiResquest({
        url: `/laboratory/subject/manger/controlSwitch/`+data.id,
        method: 'post',
    })
};
// 查询实验室排风扇人工还是预案
export const subjectTriggerModes = (data) => {
    return apiResquest({
        url: `/laboratory/control/newMsg/`+data,
        method: 'GET',
    })
};

//3.3.3安全检查--------------------------------
//查询人员身份标识
export const getGentleIdentifier  = (data) => {
    return apiResquest({
        url: `/security/checkSet/getGentle`,
        method: 'GET',
        data: data,
    })
};
//数据统计
export const dataStatistics  = (data) => {
    return apiResquest({
        url: `/security/DataStatistics/countApp`,
        method: 'GET',
        data: data,
    })
};
//巡查计划-查询是否院级用户
export const isSCollege  = (data) => {
    return apiResquest({
        url: `/security/collegCheck/isSCollege`,
        method: 'GET',
        data: data,
    })
};
//巡查计划--添加
export const checkPlanAdd  = (data) => {
    return apiResquest({
        url: `/zd-security/checkPlan/appAdd`,
        method: 'POST',
        data: {...data}
    })
};
//巡查计划--列表
export const checkPlanList  = (data) => {
    return apiResquest({
        url: `/zd-security/checkPlan/appList`,
        method: 'POST',
        data: {...data}
    })
};
//巡查计划--详情
export const checkPlanById  = (data) => {
    return apiResquest({
        url: `/zd-security/checkPlan/appFindCheckPlan`,
        method: 'GET',
        data: data,
    })
};
//巡查计划--修改
export const checkPlanEdit  = (data) => {
    return apiResquest({
        url: `/zd-security/checkPlan/appUpdate`,
        method: 'PUT',
        data: {...data}
    })
};
//巡查计划--检查计划各检查状态数据数量
export const getCheckStatusCount  = (data) => {
    return apiResquest({
        url: `/zd-security/checkPlan/getCheckStatusCount`,
        method: 'GET',
        data: data,
    })
};
//各检查状态数据数量
export const getManageStatusCount  = (data) => {
    return apiResquest({
        url: `/zd-security/checkManage/getManageStatusCount`,
        method: 'GET',
        data: data,
    })
};
//巡查计划--获取巡查组列表
export const checkGroupList  = (data) => {
    return apiResquest({
        url: `/zd-security/checkGroup/appFindGroupList`,
        method: 'POST',
        data: {...data}
    })
};
//巡查计划--巡查组详情
export const checkGroupDetail  = (data) => {
    return apiResquest({
        url: `/zd-security/checkGroup/appFind`,
        method: 'GET',
        data: data,
    })
};
//巡查计划--查询学院数据
export const conditionCollegeInfo  = (data) => {
    return apiResquest({
        url: `/laboratory/subject/conditionCollegeInfo`,
        method: 'GET',
        data: data,
    })
};
//巡查计划--条件查询实验室信息（分页）
export const conditionSubjectInfo  = (data) => {
    return apiResquest({
        url: `/laboratory/subject/conditionSubjectInfo`,
        method: 'POST',
        data: {...data}
    })
};
//巡查计划--全校学院/实验室数量
export const getAllSubNum  = (data) => {
    return apiResquest({
        url: `/laboratory/subject/getAllSubNum`,
        method: 'GET',
        data: data,
    })
};
//巡查计划--添加
export const findByCheckPlanId  = (data) => {
    return apiResquest({
        url: `/zd-security/checkManage/appFindByCheckPlanId`,
        method: 'POST',
        data: {...data}
    })
};

//随手拍-----------------------------------------------------
//随手拍--添加
export const checkClapAdd  = (data) => {
    return apiResquest({
        url: `/security/checkClap/appAdd`,
        method: 'POST',
        data: {...data}
    })
};
//随手拍--管理列表
export const checkClapList  = (data) => {
    return apiResquest({
        url: `/security/checkClap/appList`,
        method: 'GET',
        data: data,
    })
};
//随手拍--上报记录-列表
export const checkClapMylist  = (data) => {
    return apiResquest({
        url: `/security/checkClap/mylist`,
        method: 'GET',
        data: data,
    })
};
//随手拍--获取当前登录人身份信息
export const getUserCollegCheck  = (data) => {
    return apiResquest({
        url: `/security/collegCheck/getloginUser`,
        method: 'GET',
        data: data,
    })
};

//随手拍--详情
export const checkClapById  = (data) => {
    return apiResquest({
        url: `/security/checkClap/appFindById`,
        method: 'GET',
        data: data,
    })
};
//随手拍--整改
export const checkClapRectify  = (data) => {
    return apiResquest({
        url: `/security/checkClap/clapApprove`,
        method: 'POST',
        data: {...data}
    })
};

//开展检查-------------------------------------------
//开展检查-获取巡查计划管理列表
export const checkManageList  = (data) => {
	return apiResquest({
		url: `/zd-security/checkManage/appList`,
		method: 'POST',
		data: {...data}
	})
};
//开展检查-安全隐患列表(在开展检查列表里待复核)
export const checkHazardList = (data) => {
    return apiResquestForm({
        url: '/security/checkHazard/appList',
        method: 'GET',
        data: data
    })
};
//开展检查-通过id查询巡查管理
export const findCheckManage = (data) => {
    return apiResquestForm({
        url: '/zd-security/checkManage/appFindCheckManage',
        method: 'GET',
        data: data
    })
};
//开展检查--新增-该实验室没有计划的时候
export const checkManageAdd  = (data) => {
    return apiResquest({
        url: `/zd-security/checkManage/add`,
        method: 'POST',
        data: {...data}
    })
};
//开展检查--新增--有计划的时候
export const checkManageUpdate  = (data) => {
    return apiResquest({
        url: `/zd-security/checkManage/appUpdate`,
        method: 'PUT',
        data: {...data}
    })
};
//项目检查库-树状列表
export const checkOptionListNew = (data) => {
    return apiResquestForm({
        url: '/zd-security/checkOption/list',
        method: 'GET',
		data: data
    })
};
//开展检查-根据实验室id查询该实验室有关计划
export const getCheckPlanBySubId = (data) => {
    return apiResquestForm({
        url: '/zd-security/checkManage/getCheckPlanBySubId',
        method: 'GET',
        data: data
    })
};
//开展检查-根据实验室id查询该实验室有关计划
export const buildBySub = (data) => {
    return apiResquestForm({
        url: '/laboratory/subject/buildBySub/list',
        method: 'GET',
		data: data
    })
};
//开展检查-根据计划id查询附件列表
export const findByPlanIdAttachment = (data) => {
    return apiResquestForm({
        url: '/zd-security/upload/findByCheckPlanId',
        method: 'GET',
		data: data
    })
};

//安全隐患---------------------------------------------------------------
//开展检查-安全隐患列表
export const checkHazardAppList = (data) => {
    return apiResquestForm({
        url: '/security/checkHazard/appCheckHazardList',
        method: 'GET',
        data: data
    })
};
//开展检查-安全隐患详情
export const getHazardById = (data) => {
    return apiResquestForm({
        url: '/security/checkHazard/getAppHazardById',
        method: 'GET',
        data: data
    })
};
//开展检查-获取巡查计划管理列表
export const checkHazardAdd  = (data) => {
	return apiResquest({
		url: `/security/checkRectify/addOrApprove`,
		method: 'POST',
		data: {...data}
	})
};
//开展检查-安全信息牌
export const getInforSign = (data) => {
    return apiResquestForm({
        url: `/laboratory/subject/manger/subQuery/`+data+`/0`,
        method: 'GET',
    })
};
